Update Number
curl --request PATCH \
--url https://api.example.com/api/v1/phone-numbers/{phone_number_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"friendly_name": "<string>",
"capabilities": [
"<string>"
],
"monthly_cost_usd": 123,
"monthly_cost_pln": 123
}
'import requests
url = "https://api.example.com/api/v1/phone-numbers/{phone_number_id}"
payload = {
"friendly_name": "<string>",
"capabilities": ["<string>"],
"monthly_cost_usd": 123,
"monthly_cost_pln": 123
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
friendly_name: '<string>',
capabilities: ['<string>'],
monthly_cost_usd: 123,
monthly_cost_pln: 123
})
};
fetch('https://api.example.com/api/v1/phone-numbers/{phone_number_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/phone-numbers/{phone_number_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'friendly_name' => '<string>',
'capabilities' => [
'<string>'
],
'monthly_cost_usd' => 123,
'monthly_cost_pln' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/phone-numbers/{phone_number_id}"
payload := strings.NewReader("{\n \"friendly_name\": \"<string>\",\n \"capabilities\": [\n \"<string>\"\n ],\n \"monthly_cost_usd\": 123,\n \"monthly_cost_pln\": 123\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/api/v1/phone-numbers/{phone_number_id}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"friendly_name\": \"<string>\",\n \"capabilities\": [\n \"<string>\"\n ],\n \"monthly_cost_usd\": 123,\n \"monthly_cost_pln\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/phone-numbers/{phone_number_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"friendly_name\": \"<string>\",\n \"capabilities\": [\n \"<string>\"\n ],\n \"monthly_cost_usd\": 123,\n \"monthly_cost_pln\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"phone_number": "<string>",
"provider": "<string>",
"status": "<string>",
"country_code": "<string>",
"capabilities": [],
"friendly_name": "<string>",
"organization_id": 123,
"workflow_id": 123,
"workflow_name": "<string>",
"outbound_workflows": [],
"monthly_cost_usd": 123,
"monthly_cost_pln": 123,
"provider_number_id": "<string>",
"purchased_at": "2023-11-07T05:31:56Z",
"assigned_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"order_id": 123,
"order_status": "<string>",
"order_status_reason": "<string>",
"outbound_commitment_until": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Phone Numbers
Update Number
Update phone number metadata (friendly name, etc.).
PATCH
/
api
/
v1
/
phone-numbers
/
{phone_number_id}
Update Number
curl --request PATCH \
--url https://api.example.com/api/v1/phone-numbers/{phone_number_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"friendly_name": "<string>",
"capabilities": [
"<string>"
],
"monthly_cost_usd": 123,
"monthly_cost_pln": 123
}
'import requests
url = "https://api.example.com/api/v1/phone-numbers/{phone_number_id}"
payload = {
"friendly_name": "<string>",
"capabilities": ["<string>"],
"monthly_cost_usd": 123,
"monthly_cost_pln": 123
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
friendly_name: '<string>',
capabilities: ['<string>'],
monthly_cost_usd: 123,
monthly_cost_pln: 123
})
};
fetch('https://api.example.com/api/v1/phone-numbers/{phone_number_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/phone-numbers/{phone_number_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'friendly_name' => '<string>',
'capabilities' => [
'<string>'
],
'monthly_cost_usd' => 123,
'monthly_cost_pln' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/phone-numbers/{phone_number_id}"
payload := strings.NewReader("{\n \"friendly_name\": \"<string>\",\n \"capabilities\": [\n \"<string>\"\n ],\n \"monthly_cost_usd\": 123,\n \"monthly_cost_pln\": 123\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/api/v1/phone-numbers/{phone_number_id}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"friendly_name\": \"<string>\",\n \"capabilities\": [\n \"<string>\"\n ],\n \"monthly_cost_usd\": 123,\n \"monthly_cost_pln\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/phone-numbers/{phone_number_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"friendly_name\": \"<string>\",\n \"capabilities\": [\n \"<string>\"\n ],\n \"monthly_cost_usd\": 123,\n \"monthly_cost_pln\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"phone_number": "<string>",
"provider": "<string>",
"status": "<string>",
"country_code": "<string>",
"capabilities": [],
"friendly_name": "<string>",
"organization_id": 123,
"workflow_id": 123,
"workflow_name": "<string>",
"outbound_workflows": [],
"monthly_cost_usd": 123,
"monthly_cost_pln": 123,
"provider_number_id": "<string>",
"purchased_at": "2023-11-07T05:31:56Z",
"assigned_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"order_id": 123,
"order_status": "<string>",
"order_status_reason": "<string>",
"outbound_commitment_until": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Your organization's API key (account in the bottom-left of the dashboard → Brosbots API).
Path Parameters
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
